Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162287 - dmidecode segfault on Tyan S2885 bios 2.05
Summary: dmidecode segfault on Tyan S2885 bios 2.05
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel-utils
Version: 3.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alan Cox
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-01 22:19 UTC by Tru Huynh
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-19 18:59:18 UTC


Attachments (Terms of Use)
full output of dmidecode version 2.6 on bios 2.05 (deleted)
2005-07-01 22:25 UTC, Tru Huynh
no flags Details

Description Tru Huynh 2005-07-01 22:19:38 UTC
Description of problem:

dmidecode version 2.2 segfaults on Tyan S2885 bios 2.05 but is ok
on bios 2.04. A recompiled version 2.6 successfully runs to the end.
There is a possible bios error, but dmidecode should not segfault.

Version-Release number of selected component (if applicable):

kernel-utils-2.4-8.37.12.x86_64

How reproducible:
Always

Steps to Reproduce:
1. get a S2885 board
2. download bios at http://www.tyan.com/support/html/b_s2885.html
3. run dmidecode
  
Actual results:

Segmentation fault

Expected results:

no segfault

Additional info:

Comment 1 Tru Huynh 2005-07-01 22:25:00 UTC
Created attachment 116268 [details]
full output of dmidecode version 2.6 on bios 2.05

Comment 2 Tru Huynh 2005-07-01 22:28:24 UTC
last line from dmidecode (version 2.2 from kernel-utils):
...
Handle 0x000B
        DMI type 7, 19 bytes.
        Cache Information
                Socket Designation: L3-Cache
                Configuration: Disabled, Not Socketed, Level 3
                Operational Mode: Unknown
                Location: Internal
                Installed Size: 0 KB
                Maximum Size: 0 KB
                Supported SRAM Types:
                        Unknown
                Installed SRAM Type: Unknown
                Speed: Unknown
                Error Correction Type: Unknown
                System Type: Unknown
                Associativity: Unknown
Handle 0x000C
        DMI type 8, 9 bytes.
        Port Connector Information
Segmentation fault (core dumped)


Comment 3 RHEL Product and Program Management 2007-10-19 18:59:18 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.